My Elite Training Desktop Browser too old

Moderators: Elite Admin S, Elite Admin M

adamdalecki
Posts: 1
Joined: Mon Sep 03, 2018 12:13 pm

My Elite Training Desktop Browser too old

Postby adamdalecki » Mon Sep 03, 2018 12:15 pm

Hello.

When I try to buy anything in my training desktiop app, then they come:
Browser is too old, paypal can not load.
I have win 10 with all updates, and ich have also Google Chrome.
I deactivated Internet Explorer, but it still doesnt work.
Need help.
Greets

User avatar
Elite Admin S
Posts: 1351
Joined: Tue Nov 08, 2016 10:18 am

Re: My Elite Training Desktop Browser too old

Postby Elite Admin S » Mon Sep 03, 2018 12:28 pm

Hi Adam

It is necessary to investigate further.
Please contact our customer care at myetraining@elite-it.com.
Add a short description of the issue and a screenshot of the error you get.
Also, copy in the email all the installation data (to get them, run my e-training Desktop and click on the support icon).

Regards

dnjgraham
Posts: 1
Joined: Sat Sep 22, 2018 9:02 pm

Re: My Elite Training Desktop Browser too old

Postby dnjgraham » Sat Sep 22, 2018 9:05 pm

I also have this problem.
I am using IE11 with Windows 7 and when I try to purchase real videos I get the message from PayPal that browser is out of date.
Is there another way to purchase and download videos apart from using PayPal ?

User avatar
Elite Admin S
Posts: 1351
Joined: Tue Nov 08, 2016 10:18 am

Re: My Elite Training Desktop Browser too old

Postby Elite Admin S » Mon Sep 24, 2018 8:31 am

Hi guys

I confirm you that some users are having problems with the payment in the windows version of my e-training Desktop.
We have just made a fix but we need your collaboration to test it.
So, if you have this kind of issue please contact the customer care at myetraining@elite-it.com.

Regards


Return to “My e-training Desktop”

Who is online

Users browsing this forum: No registered users and 0 guests